- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OtherVariableResultStruct Struct Reference

A structure to information about an OtherVariableResult element. More...

`#include <OSrLParserData.h>`

Collaboration diagram for OtherVariableResultStruct:

[legend]
List of all members.

## Public Attributes
std::string | name
| name holds the text of the name attribute of the OtherVariableResult element
std::string | description
| description holds the text of the description attribute of the OtherVariableResult element
std::string | value
| value holds the text of the value attribute of the OtherVariableResult element
int | numberOfVar
| numberOfVar holds the number of variables in the array of the OtherVariableResult element
std::string * | otherVarText
| otherVarText is a pointer to an array with number of elements equal to the number of variables.
int * | otherVarIndex
| otherVarIndex is a pointer to an array with number of elements equal to the number of variables.
std::string * | otherVarText
| otherVarText is a pointer to an array with number of elements equal to the number of variables.
int * | otherVarIndex
| otherVarIndex is a pointer to an array with number of elements equal to the number of variables.

## Detailed Description

A structure to information about an OtherVariableResult element.

Definition at line 29 of file OSrLParserData.h.

## Member Data Documentation

std::string OtherVariableResultStruct::name

name holds the text of the name attribute of the OtherVariableResult element

Definition at line 33 of file OSrLParserData.h.

Referenced by BonminSolver::setSolverOptions().

std::string OtherVariableResultStruct::description

description holds the text of the description attribute of the OtherVariableResult element

Definition at line 38 of file OSrLParserData.h.

std::string OtherVariableResultStruct::value

value holds the text of the value attribute of the OtherVariableResult element

Definition at line 43 of file OSrLParserData.h.

Referenced by BonminSolver::setSolverOptions().

int OtherVariableResultStruct::numberOfVar

numberOfVar holds the number of variables in the array of the OtherVariableResult element

Definition at line 48 of file OSrLParserData.h.

std::string* OtherVariableResultStruct::otherVarText

otherVarText is a pointer to an array with number of elements equal to the number of variables.

Each element of the array is the value of the variable corresponding to the OtherVariableResult, e.g. a variable name or variable reduced cost, etc.

Definition at line 56 of file OSrLParserData.h.

int* OtherVariableResultStruct::otherVarIndex

otherVarIndex is a pointer to an array with number of elements equal to the number of variables.

Each element of the array is the index of the variable corresponding to the OtherVariableResult, e.g. a variable name or variable reduced cost, etc.

Definition at line 65 of file OSrLParserData.h.

std::string* OtherVariableResultStruct::otherVarText

otherVarText is a pointer to an array with number of elements equal to the number of variables.

Each element of the array is the value of the variable corresponding to the OtherVariableResult, e.g. a variable name or variable reduced cost, etc.

Definition at line 55 of file OSrLParserData.h.

int* OtherVariableResultStruct::otherVarIndex

otherVarIndex is a pointer to an array with number of elements equal to the number of variables.

Each element of the array is the index of the variable corresponding to the OtherVariableResult, e.g. a variable name or variable reduced cost, etc.

Definition at line 64 of file OSrLParserData.h.

The documentation for this struct was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSParsers/OSrLParserData.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSrLParserData.h